Package org.apache.catalina.tribes.group.interceptors

# Class OrderInterceptor.Counter

java.lang.Object
org.apache.catalina.tribes.group.interceptors.OrderInterceptor.Counter

Enclosing class:
  `OrderInterceptor`

protected static class OrderInterceptor.Counter extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Counter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCounter()`
  `int`
  `inc()`
  `void`
  `setCounter(int counter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Counter

    protected Counter()

- ## Method Details

  - ### getCounter

    public int getCounter()

  - ### setCounter

    public void setCounter(int counter)

  - ### inc

    public int inc()